Subject: Modifying consulted rules

From: "Jason Che-han Yip" <[email-masked]>
Date: Fri, 21 Jul 2000 16:13:22 -0600

I'd like to thank the people who replied to my last question about reseting the database.  I ended up having the Java class keep track of what was being asserted so that it could retract everything when a reset() method is called.

In any case, on to the next problem...  after consulting a file, is it possible to retract or otherwise modify the rules that were consulted?  I keep getting an error that says I have no permission to modify static procedures.  

----
"Making the complex clear always helps people work smarter. Because it is a lot easier to figure out what's important and ignore what isn't."
(Bill Jensen)
www.ee.ualberta.ca/~yip